### Enumeration

# Phosh ModeHwFlags

since: 0

#### Declaration

    flags Phosh.ModeHwFlags

#### Description [src]

Attached external hardware.

Available since: 0

#### Members

`PHOSH_MODE_HW_NONE`

  Nothing.

  - Value: `0`
  - Nickname: `none`
  - Available since: 0
`PHOSH_MODE_HW_EXT_DISPLAY`

  External display.

  - Value: `2`
  - Nickname: `ext-display`
  - Available since: 0
`PHOSH_MODE_HW_KEYBOARD`

  Keyboard.

  - Value: `4`
  - Nickname: `keyboard`
  - Available since: 0
`PHOSH_MODE_HW_POINTER`

  Pointing device.

  - Value: `8`
  - Nickname: `pointer`
  - Available since: 0